## rust-hstr 0+20250106

=== debian/changelog ===
rust-hstr (0+20250106-2) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config: simplify usage comments
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 07:58:08 +0100

rust-hstr (0+20250106-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * add patch 1001 to accept newer branch of crate rkyv;
    tighten (build-)dependency for crate rkyv

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Jan 2025 21:38:26 +0100

rust-hstr (0+20241104-2) experimental; urgency=medium

  * update copyright info: add License section Apache-2.0
  * still closes: bug#1086876

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Nov 2024 19:32:27 +0100

rust-hstr (0+20241104-1) experimental; urgency=low

  * initial release;
    closes: bug#1086876

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 06 Nov 2024 23:53:14 +0100
