=== debian/control ===
Source: rust-hstr
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-arrayvec-0.7+default-dev,
 librust-hashbrown-0.14-dev,
 librust-heck-dev (<< 0.6),
 librust-new-debug-unreachable-1+default-dev,
 librust-once-cell-1+default-dev,
 librust-phf-0.11+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-rkyv-0.8+default-dev,
 librust-rustc-hash-1+default-dev,
 librust-serde-1-dev,
 librust-serde-derive-1-dev,
 librust-syn-2+default-dev,
 librust-syn-2+derive-dev,
 librust-syn-2+extra-traits-dev,
 librust-syn-2+fold-dev,
 librust-syn-2+full-dev,
 librust-triomphe-0.1+default-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/dudykr/ddbase
Vcs-Git: https://salsa.debian.org/debian/rust-hstr.git
Vcs-Browser: https://salsa.debian.org/debian/rust-hstr
Rules-Requires-Root: no

Package: librust-default-from-serde-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-serde-1-dev,
 librust-syn-2+default-dev,
 ${misc:Depends},
Provides:
 librust-default-from-serde-0.1+default-dev (= ${binary:Version}),
 librust-default-from-serde-0.1+std-dev (= ${binary:Version}),
 librust-default-from-serde-0.1-dev (= ${binary:Version}),
 librust-default-from-serde-0.1.3-dev (= ${binary:Version}),
 librust-derive-default-from-serde-0.1+default-dev (= ${rust:Version:librust-derive-default-from-serde-dev}),
 librust-derive-default-from-serde-0.1+std-dev (= ${rust:Version:librust-derive-default-from-serde-dev}),
 librust-derive-default-from-serde-0.1-dev (= ${rust:Version:librust-derive-default-from-serde-dev}),
 librust-derive-default-from-serde-0.1.3-dev (= ${rust:Version:librust-derive-default-from-serde-dev}),
 librust-derive-default-from-serde-dev (= ${rust:Version:librust-derive-default-from-serde-dev}),
Description: derive default using #[serde(default)] - Rust source code
 default-from-serde resolves Derive Default using serde::Deserialize.
 No mismatch between Default and Deserialize anymore.
 .
 This package contains the source for the Rust crates
 default-from-serde derive-default-from-serde,
 for use with cargo.

Package: librust-hstr-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-hashbrown-0.14-dev,
 librust-new-debug-unreachable-1+default-dev,
 librust-once-cell-1+default-dev,
 librust-phf-0.11+default-dev,
 librust-rkyv-0.8+default-dev,
 librust-rustc-hash-1+default-dev,
 librust-serde-1-dev,
 librust-triomphe-0.1+default-dev,
 ${misc:Depends},
Provides:
 librust-hstr-0.2+atom-size-128-dev (= ${binary:Version}),
 librust-hstr-0.2+atom-size-64-dev (= ${binary:Version}),
 librust-hstr-0.2+default-dev (= ${binary:Version}),
 librust-hstr-0.2+rkyv-dev (= ${binary:Version}),
 librust-hstr-0.2+serde-dev (= ${binary:Version}),
 librust-hstr-0.2-dev (= ${binary:Version}),
 librust-hstr-0.2.15-dev (= ${binary:Version}),
Description: string type optimized for hash operations - Rust source code
 hstr is a high-performance string interning library for Rust.
 This crate is intended for the compilers
 or build tools like a bundler, written in Rust.
 .
 This package contains the source for the Rust crate hstr,
 for use with cargo.

Package: librust-is-macro-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-heck-dev (<< 0.6),
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-syn-2+default-dev,
 librust-syn-2+derive-dev,
 librust-syn-2+extra-traits-dev,
 librust-syn-2+fold-dev,
 librust-syn-2+full-dev,
 ${misc:Depends},
Provides:
 librust-is-macro-0.3+default-dev (= ${binary:Version}),
 librust-is-macro-0.3-dev (= ${binary:Version}),
 librust-is-macro-0.3.7-dev (= ${binary:Version}),
Description: derive methods for using custom enums - Rust source code
 is-macro is a proc macro to generate methods
 like is_variant or expect_variant.
 .
 This package contains the source for the Rust crate is-macro,
 for use with cargo.

Package: librust-st-map-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-arrayvec-0.7+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-syn-2+default-dev,
 librust-syn-2+full-dev,
 ${misc:Depends},
Provides:
 librust-st-map-0.2+default-dev (= ${binary:Version}),
 librust-st-map-0.2-dev (= ${binary:Version}),
 librust-st-map-0.2.4-dev (= ${binary:Version}),
 librust-static-map-macro-0.3+default-dev (= ${rust:Version:librust-static-map-macro-dev}),
 librust-static-map-macro-0.3-dev (= ${rust:Version:librust-static-map-macro-dev}),
 librust-static-map-macro-0.3.4-dev (= ${rust:Version:librust-static-map-macro-dev}),
 librust-static-map-macro-dev (= ${rust:Version:librust-static-map-macro-dev}),
Description: stack-alocated map - Rust source code
 st-map is a stack-alocated map,
 and static-map-macro is a proc macro for st-map.
 .
 This package contains the source for the Rust crates
 st-map static-map-macro,
 for use with cargo.
