=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
 --all-targets --all-features
Features:
 test-name=rust-default-from-serde:@,
Depends:
 dh-rust,
 librust-default-from-serde-0.1-dev,
 librust-serde-derive-1-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
 --all-targets
Features:
 test-name=rust-default-from-serde:default,
Depends:
 dh-rust,
 librust-default-from-serde-0.1+default-dev,
 librust-serde-derive-1-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
 --all-targets --no-default-features
Features:
 test-name=rust-default-from-serde:,
Depends:
 dh-rust,
 librust-default-from-serde-0.1-dev,
 librust-serde-derive-1-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
 --all-targets --no-default-features --features std
Features:
 test-name=rust-default-from-serde:std,
Depends:
 dh-rust,
 librust-default-from-serde-0.1+std-dev,
 librust-serde-derive-1-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test derive-default-from-serde 0.1.3
 --all-targets --all-features
Features:
 test-name=rust-derive-default-from-serde:@,
Depends:
 dh-rust,
 librust-derive-default-from-serde-0.1-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test derive-default-from-serde 0.1.3
 --all-targets
Features:
 test-name=rust-derive-default-from-serde:default,
Depends:
 dh-rust,
 librust-derive-default-from-serde-0.1+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test derive-default-from-serde 0.1.3
 --all-targets --no-default-features
Features:
 test-name=rust-derive-default-from-serde:,
Depends:
 dh-rust,
 librust-derive-default-from-serde-0.1-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
 --all-targets --all-features
Features:
 test-name=rust-hstr:@,
Depends:
 dh-rust,
 librust-hstr-0.2-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
 --all-targets
Features:
 test-name=rust-hstr:default,
Depends:
 dh-rust,
 librust-hstr-0.2+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
 --all-targets --no-default-features
Features:
 test-name=rust-hstr:,
Depends:
 dh-rust,
 librust-hstr-0.2-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
 --all-targets --no-default-features --features atom_size_128
Features:
 test-name=rust-hstr:atom_size_128,
Depends:
 dh-rust,
 librust-hstr-0.2+atom-size-128-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
 --all-targets --no-default-features --features atom_size_64
Features:
