## rust-hstr 0+20250327

=== debian/changelog ===
rust-hstr (0+20250327-1) unstable; urgency=medium

  * update git-buildpackage config: fix usage comments
  * drop binary package librust-hstr-dev,
    now part of source package rust-swc-core;
    stop build-depend on packages
    for crates new_debug_unreachable phf rkyv rustc-hash triomphe
  * update and unfuzz patches
  * declare compliance with Debian Policy 4.7.2
  * build-depend on packages
    for crates rand rand_xorshift scoped-tls
  * skip autopkgtest default-from-serde no-default-features:
    crate requires std

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Apr 2025 23:18:13 +0200
