=== debian/control ===
--- 
+++ 
@@ -8,13 +8,12 @@
  librust-arrayvec-0.7+default-dev,
  librust-hashbrown-0.14-dev,
  librust-heck-dev (<< 0.6),
- librust-new-debug-unreachable-1+default-dev,
  librust-once-cell-1+default-dev,
- librust-phf-0.11+default-dev,
  librust-proc-macro2-1+default-dev,
  librust-quote-1+default-dev,
- librust-rkyv-0.8+default-dev,
- librust-rustc-hash-1+default-dev,
+ librust-rand-0.8+default-dev,
+ librust-rand-xorshift-0.3+default-dev,
+ librust-scoped-tls-1+default-dev,
  librust-serde-1-dev,
  librust-serde-derive-1-dev,
  librust-syn-2+default-dev,
@@ -22,8 +21,7 @@
  librust-syn-2+extra-traits-dev,
  librust-syn-2+fold-dev,
  librust-syn-2+full-dev,
- librust-triomphe-0.1+default-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/dudykr/ddbase
 Vcs-Git: https://salsa.debian.org/debian/rust-hstr.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-hstr
@@ -54,35 +52,6 @@
  .
  This package contains the source for the Rust crates
  default-from-serde derive-default-from-serde,
- for use with cargo.
-
-Package: librust-hstr-dev
-Architecture: all
-Multi-Arch: foreign
-Depends:
- librust-hashbrown-0.14-dev,
- librust-new-debug-unreachable-1+default-dev,
- librust-once-cell-1+default-dev,
- librust-phf-0.11+default-dev,
- librust-rkyv-0.8+default-dev,
- librust-rustc-hash-1+default-dev,
- librust-serde-1-dev,
- librust-triomphe-0.1+default-dev,
- ${misc:Depends},
-Provides:
- librust-hstr-0.2+atom-size-128-dev (= ${binary:Version}),
- librust-hstr-0.2+atom-size-64-dev (= ${binary:Version}),
- librust-hstr-0.2+default-dev (= ${binary:Version}),
- librust-hstr-0.2+rkyv-dev (= ${binary:Version}),
- librust-hstr-0.2+serde-dev (= ${binary:Version}),
- librust-hstr-0.2-dev (= ${binary:Version}),
- librust-hstr-0.2.15-dev (= ${binary:Version}),
-Description: string type optimized for hash operations - Rust source code
- hstr is a high-performance string interning library for Rust.
- This crate is intended for the compilers
- or build tools like a bundler, written in Rust.
- .
- This package contains the source for the Rust crate hstr,
  for use with cargo.
 
 Package: librust-is-macro-dev
