=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 # declare version for virtually provided embedded crates
 packages = $(patsubst %,librust-%-dev,\
- default-from-serde hstr is-macro st-map)
+ default-from-serde is-macro st-map)
 packages_virtual = $(patsubst %,librust-%-dev,\
  derive-default-from-serde static-map-macro)
 override_dh_gencontrol:
