=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # check single-feature tests only on amd64
+
+# skip default-from-serde no-default-features: crate requires std
 
 Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
  --all-targets --all-features
@@ -22,16 +24,17 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
- --all-targets --no-default-features
-Features:
- test-name=rust-default-from-serde:,
-Depends:
- dh-rust,
- librust-default-from-serde-0.1-dev,
- librust-serde-derive-1-dev,
-Restrictions:
- allow-stderr,
+# skip: crate requires std
+#Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
+# --all-targets --no-default-features
+#Features:
+# test-name=rust-default-from-serde:,
+#Depends:
+# dh-rust,
+# librust-default-from-serde-0.1-dev,
+# librust-serde-derive-1-dev,
+#Restrictions:
+# allow-stderr,
 
 Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
  --all-targets --no-default-features --features std
@@ -75,47 +78,44 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test is-macro 0.3.7
  --all-targets --all-features
 Features:
- test-name=rust-hstr:@,
+ test-name=rust-is-macro:@,
 Depends:
  dh-rust,
- librust-hstr-0.2-dev,
+ librust-is-macro-0.3-dev,
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test is-macro 0.3.7
  --all-targets
 Features:
- test-name=rust-hstr:default,
+ test-name=rust-is-macro:default,
 Depends:
  dh-rust,
- librust-hstr-0.2+default-dev,
+ librust-is-macro-0.3+default-dev,
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test is-macro 0.3.7
  --all-targets --no-default-features
 Features:
- test-name=rust-hstr:,
+ test-name=rust-is-macro:,
 Depends:
  dh-rust,
- librust-hstr-0.2-dev,
+ librust-is-macro-0.3-dev,
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
- --all-targets --no-default-features --features atom_size_128
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test st-map 0.2.4
+ --all-targets --all-features
 Features:
- test-name=rust-hstr:atom_size_128,
+ test-name=rust-st-map:@,
 Depends:
  dh-rust,
- librust-hstr-0.2+atom-size-128-dev,
+ librust-st-map-0.2-dev,
 Restrictions:
  allow-stderr,
-Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 0.2.15
- --all-targets --no-default-features --features atom_size_64
-Features:
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test st-map 0.2.4
