## rust-hstr 0+20250621

=== debian/changelog ===
rust-hstr (0+20250621-3) unstable; urgency=medium

  * drop patches 2001_heck 2001_rkyv,
    obsoleted by Debian packaging changes
  * stop superfluously set fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * update copyright info:
    + update coverage
    + avoid any .git* files when repackaging upstream source
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * update watch file:
    + use file format version 5
    + use repack suffix +ds
  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Feb 2026 08:31:14 +0100

rust-hstr (0+20250621-2) experimental; urgency=medium

  * drop patch 2001_indexmap,
    obsoleted by Debian packaging changes
  * add patch 1001_hashbrown
    to accept newer minor version of crate hashbrown;
    relax (build-)dependency for crate hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 01:57:41 +0200

rust-hstr (0+20250621-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * provide and autopkgtest crates
    bytes-str par-core par-iter shrink-to-fit shrink-to-fit-macro;
    build-depend on package for crate ascii;
    (build-)depend on packages for crates
    bytes either indexmap once_cell rayon rkyv serde_json smallvec;
    tighten (build-)dependency for crate heck;
    autopkgtest-depend (not only build-depend) on packages
    for crates rand rad_xorshift scoped-tls

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Oct 2025 10:47:52 +0200
