=== debian/control ===
--- 
+++ 
@@ -1,40 +1,62 @@
 Source: rust-hstr
 Section: rust
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-rust,
- librust-arrayvec-0.7+default-dev,
- librust-hashbrown-0.14-dev,
- librust-heck-dev (<< 0.6),
- librust-once-cell-1+default-dev,
- librust-proc-macro2-1+default-dev,
- librust-quote-1+default-dev,
- librust-rand-0.8+default-dev,
- librust-rand-xorshift-0.3+default-dev,
- librust-scoped-tls-1+default-dev,
- librust-serde-1-dev,
- librust-serde-derive-1-dev,
- librust-syn-2+default-dev,
- librust-syn-2+derive-dev,
- librust-syn-2+extra-traits-dev,
- librust-syn-2+fold-dev,
- librust-syn-2+full-dev,
-Standards-Version: 4.7.2
+ librust-arrayvec-dev,
+ librust-ascii-dev,
+ librust-bytes-dev,
+ librust-either-dev,
+ librust-hashbrown-dev,
+ librust-heck-dev,
+ librust-indexmap-dev,
+ librust-once-cell-dev,
+ librust-proc-macro2-dev,
+ librust-quote-dev,
+ librust-rand-dev,
+ librust-rand-xorshift-dev,
+ librust-rayon-dev,
+ librust-rkyv-dev,
+ librust-scoped-tls-dev,
+ librust-serde-derive-dev,
+ librust-serde-dev,
+ librust-serde-json-dev,
+ librust-smallvec-dev,
+ librust-syn-dev,
+Standards-Version: 4.7.3
 Homepage: https://github.com/dudykr/ddbase
 Vcs-Git: https://salsa.debian.org/debian/rust-hstr.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-hstr
-Rules-Requires-Root: no
+
+Package: librust-bytes-str-dev
+Architecture: all
+#Multi-Arch: foreign
+Depends:
+ librust-bytes-dev,
+ librust-rkyv-dev,
+ librust-serde-dev,
+ ${misc:Depends},
+Provides:
+ librust-bytes-str-0.2+default-dev (= ${binary:Version}),
+ librust-bytes-str-0.2+rkyv-dev (= ${binary:Version}),
+ librust-bytes-str-0.2+serde-dev (= ${binary:Version}),
+ librust-bytes-str-0.2-dev (= ${binary:Version}),
+ librust-bytes-str-0.2.7-dev (= ${binary:Version}),
+Description: string type backed by bytes crate - Rust source code
+ bytes-str provides a string type that is backed by bytes crate.
+ .
+ This package contains the source for the Rust crate bytes-str,
+ for use with cargo.
 
 Package: librust-default-from-serde-dev
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-proc-macro2-1+default-dev,
- librust-quote-1+default-dev,
- librust-serde-1-dev,
- librust-syn-2+default-dev,
+ librust-proc-macro2-dev,
+ librust-quote-dev,
+ librust-serde-dev,
+ librust-syn-dev,
  ${misc:Depends},
 Provides:
  librust-default-from-serde-0.1+default-dev (= ${binary:Version}),
@@ -58,14 +80,10 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-heck-dev (<< 0.6),
- librust-proc-macro2-1+default-dev,
- librust-quote-1+default-dev,
- librust-syn-2+default-dev,
- librust-syn-2+derive-dev,
- librust-syn-2+extra-traits-dev,
- librust-syn-2+fold-dev,
- librust-syn-2+full-dev,
+ librust-heck-dev,
+ librust-proc-macro2-dev,
+ librust-quote-dev,
+ librust-syn-dev,
  ${misc:Depends},
 Provides:
  librust-is-macro-0.3+default-dev (= ${binary:Version}),
@@ -78,15 +96,81 @@
  This package contains the source for the Rust crate is-macro,
  for use with cargo.
 
+Package: librust-par-core-dev
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ librust-either-dev,
+ librust-once-cell-dev,
+ librust-rayon-dev,
+ ${misc:Depends},
+Provides:
+ librust-par-core-2+default-dev (= ${binary:Version}),
+ librust-par-core-2+parallel-dev (= ${binary:Version}),
+ librust-par-core-2+rayon-dev (= ${binary:Version}),
+ librust-par-core-2-dev (= ${binary:Version}),
+ librust-par-core-2.0.0-dev (= ${binary:Version}),
+ librust-par-iter-2+default-dev (= ${rust:Version:librust-par-iter-dev}),
+ librust-par-iter-2+std-dev (= ${rust:Version:librust-par-iter-dev}),
+ librust-par-iter-2-dev (= ${rust:Version:librust-par-iter-dev}),
+ librust-par-iter-2.0.0-dev (= ${rust:Version:librust-par-iter-dev}),
+ librust-par-iter-dev (= ${rust:Version:librust-par-iter-dev}),
+Description: switchable parallel execution - Rust source code
+ par-core is a wrapper for various parallelization libraries for Rust.
+ .
+ par-iter is a parallel iterator for Rust.
+ It is a fork of rayon
+ with the goal of switching parallelization library
+ from rayon-core to chili
+ or disable parallelization.
+ .
+ This package contains the sources for the Rust crates
+ par-core par-iter,
+ for use with cargo.
+
+Package: librust-shrink-to-fit-dev
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ librust-hashbrown-dev,
+ librust-indexmap-dev,
+ librust-proc-macro2-dev,
+ librust-quote-dev,
+ librust-serde-json-dev,
+ librust-smallvec-dev,
+ librust-syn-dev,
+ ${misc:Depends},
+Provides:
+ librust-shrink-to-fit-0.2+default-dev (= ${binary:Version}),
+ librust-shrink-to-fit-0.2+derive-dev (= ${binary:Version}),
+ librust-shrink-to-fit-0.2+hashbrown-dev (= ${binary:Version}),
+ librust-shrink-to-fit-0.2+indexmap-dev (= ${binary:Version}),
+ librust-shrink-to-fit-0.2+serde-json-dev (= ${binary:Version}),
+ librust-shrink-to-fit-0.2+smallvec-dev (= ${binary:Version}),
+ librust-shrink-to-fit-0.2-dev (= ${binary:Version}),
+ librust-shrink-to-fit-0.2.10-dev (= ${binary:Version}),
+ librust-shrink-to-fit-macro-0.2+default-dev (= ${rust:Version:librust-shrink-to-fit-macro-dev}),
+ librust-shrink-to-fit-macro-0.2-dev (= ${rust:Version:librust-shrink-to-fit-macro-dev}),
+ librust-shrink-to-fit-macro-0.2.5-dev (= ${rust:Version:librust-shrink-to-fit-macro-dev}),
+ librust-shrink-to-fit-macro-dev (= ${rust:Version:librust-shrink-to-fit-macro-dev}),
+Description: recursively call shrink_to_fit on all container elements - Rust source code
+ shrink-to-fit recursively calls shrink_to_fit
+ on all elements of the container.
+ .
+ shrink-to-fit-macro is a derive macro for the shrink-to-fit crate.
+ .
+ This package contains the source for the Rust crates
+ shrink-to-fit shrink-to-fit-macro,
+ for use with cargo.
+
 Package: librust-st-map-dev
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-arrayvec-0.7+default-dev,
- librust-proc-macro2-1+default-dev,
- librust-quote-1+default-dev,
- librust-syn-2+default-dev,
- librust-syn-2+full-dev,
+ librust-arrayvec-dev,
+ librust-proc-macro2-dev,
+ librust-quote-dev,
+ librust-syn-dev,
  ${misc:Depends},
 Provides:
  librust-st-map-0.2+default-dev (= ${binary:Version}),
