=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,9 @@
 
 # declare version for virtually provided embedded crates
 packages = $(patsubst %,librust-%-dev,\
- default-from-serde is-macro st-map)
+ bytes-str default-from-serde is-macro par-core shrink-to-fit st-map)
 packages_virtual = $(patsubst %,librust-%-dev,\
- derive-default-from-serde static-map-macro)
+ derive-default-from-serde par-iter shrink-to-fit-macro static-map-macro)
 override_dh_gencontrol:
 	$(foreach p,$(packages) $(packages_virtual),\
 	  $(foreach q,$(patsubst librust-%-dev,%,$p),\
