=== debian/tests/control ===
# check single-feature tests only on amd64

# skip default-from-serde no-default-features: requires feature std
# skip par-core features default parallel: require feature rayon (or patched-out chili)
# append std to shink-to-fit features: used crate serde_json requires feature std or alloc

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bytes-str 0.2.7
 --all-targets --all-features
Features:
 test-name=rust-bytes-str:@,
Depends:
 dh-rust,
 librust-bytes-str-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bytes-str 0.2.7
 --all-targets
Features:
 test-name=rust-bytes-str:default,
Depends:
 dh-rust,
 librust-bytes-str-0.2+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bytes-str 0.2.7
 --all-targets --no-default-features
Features:
 test-name=rust-bytes-str:,
Depends:
 dh-rust,
 librust-bytes-str-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bytes-str 0.2.7
 --all-targets --no-default-features --features rkyv
Features:
 test-name=rust-bytes-str:rkyv,
Depends:
 dh-rust,
 librust-bytes-str-0.2+rkyv-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bytes-str 0.2.7
 --all-targets --no-default-features --features serde
Features:
 test-name=rust-bytes-str:serde,
Depends:
 dh-rust,
 librust-bytes-str-0.2+serde-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
 --all-targets --all-features
Features:
 test-name=rust-default-from-serde:@,
Depends:
 dh-rust,
 librust-default-from-serde-dev,
 librust-serde-derive-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
 --all-targets
Features:
 test-name=rust-default-from-serde:default,
Depends:
 dh-rust,
 librust-default-from-serde-0.1+default-dev,
 librust-serde-derive-dev,
Restrictions:
 allow-stderr,

# skip: requires feature std
#Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
# --all-targets --no-default-features
#Features:
# test-name=rust-default-from-serde:,
#Depends:
# dh-rust,
# librust-default-from-serde-dev,
# librust-serde-derive-dev,
#Restrictions:
# allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test default-from-serde 0.1.3
 --all-targets --no-default-features --features std
Features:
 test-name=rust-default-from-serde:std,
Depends:
 dh-rust,
 librust-default-from-serde-0.1+std-dev,
 librust-serde-derive-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test derive-default-from-serde 0.1.3
 --all-targets --all-features
Features:
 test-name=rust-derive-default-from-serde:@,
Depends:
 dh-rust,
 librust-derive-default-from-serde-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test derive-default-from-serde 0.1.3
 --all-targets
Features:
