=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Source: https://github.com/dudykr/ddbase.git
Matching-Pattern: HEAD
Mode: git
Pretty: 0+%cd
Dversion-Mangle: auto
Repacksuffix: +ds
